Pending GCC-3.1 upgrade - do or don't

Matthew Burgess ca9mbu at eos.sunderland.ac.uk
Tue May 7 14:09:50 PDT 2002


>So out of roughly 250 installed packages on my systems, one doesn't work
> with gcc-3 yet (but only because java is a pre-compiled package, so that's
> simply a known issue with binary incompatibility. Maybe there's a java
> system that isn't only available as a binary which would totally
invalidate
> this claim. I only tried the IBM and SUN java run-time suites).
> --
> Gerard Beekmans
> www.linuxfromscratch.org

Gerard,

Compiling the Sun Java SDK from source should prove/disprove the binary
incompatibility theory.  Try this link:

http://wwws.sun.com/software/java2/download.html

You'll have to register to get a username/password before it'll let you
download the thing - and you can only get the source to 1.3.1 (not the most
recent 1.4.0 release).  But, if you want to be sure it's the binary then...

Hope this helps

Matt


-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-dev' in the subject header of the message



More information about the lfs-dev mailing list